From ad6e4e550512555328cfbc8f2777e71f5d0e28a4 Mon Sep 17 00:00:00 2001
From: Dale Mellor <mcron-lsfnyl@rdmp.org>
Date: Mon, 13 Apr 2020 19:45:45 +0100
Subject: test: Demonstration of failure to open local file.

The mcron program goes looking for files specified on the command
line in Guile's module path, inevitably resulting in failure to load
said file.  Running 'make check' will show at least one failure.

* tests/basic.sh: Added new test.
---
 tests/basic.sh | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/tests/basic.sh b/tests/basic.sh
index 07b664b..7b2ca55 100644
--- a/tests/basic.sh
+++ b/tests/basic.sh
@@ -27,6 +27,9 @@ cat > cron/foo.guile <<EOF
 (job '(next-second) '(display "foo\n"))
 EOF
 
+mcron --schedule=1 cron/foo.guile > "output$$"
+grep -e "foo" "output$$" || fail_ "'foo.guile' job is not scheduled"
+
 mcron --schedule=1 > "output$$"
 grep -e "foo" "output$$" || fail_ "'foo.guile' job is not scheduled"
 
-- 
cgit v1.2.3